Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.w3c.dom.html
Interface HTMLScriptElement

All Superinterfaces:
  Element, HTMLElement, Node

public interface HTMLScriptElement
extends HTMLElement

Script statements. See the SCRIPT element definition in HTML 4.0.

Fields inherited from interface org.w3c.dom.Node
`ATTRIBUTE_NODE, CDATA_SECTION_NODE, COMMENT_NODE, DOCUMENT_FRAGMENT_NODE, DOCUMENT_NODE, DOCUMENT_POSITION_CONTAINED_BY, DOCUMENT_POSITION_CONTAINS, DOCUMENT_POSITION_DISCONNECTED, DOCUMENT_POSITION_FOLLOWING, DOCUMENT_POSITION_IMPLEMENTATION_SPECIFIC, DOCUMENT_POSITION_PRECEDING, DOCUMENT_TYPE_NODE, ELEMENT_NODE, ENTITY_NODE, ENTITY_REFERENCE_NODE, NOTATION_NODE, PROCESSING_INSTRUCTION_NODE, TEXT_NODE`

Method Summary
`java.lang.String` | `getCharset()` The character encoding of the linked resource.
`boolean` | `getDefer()` Indicates that the user agent can defer processing of the script.
`java.lang.String` | `getEvent()` Reserved for future use.
`java.lang.String` | `getHtmlFor()` Reserved for future use.
`java.lang.String` | `getSrc()` URI designating an external script.
`java.lang.String` | `getText()` The script content of the element.
`java.lang.String` | `getType()` The content type of the script language.
`void` | `setCharset(java.lang.String charset)`
`void` | `setDefer(boolean defer)`
`void` | `setEvent(java.lang.String event)`
`void` | `setHtmlFor(java.lang.String htmlFor)`
`void` | `setSrc(java.lang.String src)`
`void` | `setText(java.lang.String text)`
`void` | `setType(java.lang.String type)`

Methods inherited from interface org.w3c.dom.html.HTMLElement
`getClassName, getDir, getId, getLang, getTitle, setClassName, setDir, setId, setLang, setTitle`

Methods inherited from interface org.w3c.dom.Element
`getAttribute, getAttributeNode, getAttributeNodeNS, getAttributeNS, getElementsByTagName, getElementsByTagNameNS, getSchemaTypeInfo, getTagName, hasAttribute, hasAttributeNS, removeAttribute, removeAttributeNode, removeAttributeNS, setAttribute, setAttributeNode, setAttributeNodeNS, setAttributeNS, setIdAttribute, setIdAttributeNode, setIdAttributeNS`

Methods inherited from interface org.w3c.dom.Node
`appendChild, cloneNode, compareDocumentPosition, getAttributes, getBaseURI, getChildNodes, getFeature, getFirstChild, getLastChild, getLocalName, getNamespaceURI, getNextSibling, getNodeName, getNodeType, getNodeValue, getOwnerDocument, getParentNode, getPrefix, getPreviousSibling, getTextContent, getUserData, hasAttributes, hasChildNodes, insertBefore, isDefaultNamespace, isEqualNode, isSameNode, isSupported, lookupNamespaceURI, lookupPrefix, normalize, removeChild, replaceChild, setNodeValue, setPrefix, setTextContent, setUserData`

Method Detail

### getText

    public java.lang.String getText()

  The script content of the element.

### setText

    public void setText(java.lang.String text)

### getHtmlFor

    public java.lang.String getHtmlFor()

  Reserved for future use.

### setHtmlFor

    public void setHtmlFor(java.lang.String htmlFor)

### getEvent

    public java.lang.String getEvent()

  Reserved for future use.

### setEvent

    public void setEvent(java.lang.String event)

### getCharset

    public java.lang.String getCharset()

  The character encoding of the linked resource. See the charset attribute definition in HTML 4.0.

### setCharset

    public void setCharset(java.lang.String charset)

### getDefer

    public boolean getDefer()

  Indicates that the user agent can defer processing of the script. See the defer attribute definition in HTML 4.0.

### setDefer

    public void setDefer(boolean defer)

### getSrc

    public java.lang.String getSrc()

  URI designating an external script. See the src attribute definition in HTML 4.0.

### setSrc

    public void setSrc(java.lang.String src)

### getType

    public java.lang.String getType()

  The content type of the script language. See the type attribute definition in HTML 4.0.

### setType

    public void setType(java.lang.String type)

Overview | Package | Class | Tree | Serialized | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD